## mrawviewer 1.0-beta1

=== src/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/mrawviewer
pkglibdir = $(libdir)/mrawviewer
pkgincludedir = $(includedir)/mrawviewer
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/cthulhu/workspace/mrawviewer/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/cthulhu/workspace/mrawviewer/missing --run tar
AUTOCONF = ${SHELL} /home/cthulhu/workspace/mrawviewer/missing --run autoconf
AUTOHEADER = ${SHELL} /home/cthulhu/workspace/mrawviewer/missing --run autoheader
AUTOMAKE = ${SHELL} /home/cthulhu/workspace/mrawviewer/missing --run automake-1.8
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -g -Wall -ansi -pedantic -Wmissing-prototypes -Wmissing-declarations -I/usr/include/libraw
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPS_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
DEPS_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
GREP = /scratchbox/tools/bin/grep
HILDONFM_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
HILDONFM_LIBS = -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
HILDON_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS =  -lstdc++ -lraw-lite -lraw-lite_r
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/cthulhu/workspace/mrawviewer/missing --run makeinfo
OBJEXT = o
OSSOSETTINGS_CFLAGS =  
OSSOSETTINGS_LIBS =  
OSSO_CFLAGS = -pthread -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2  
OSSO_LIBS = -pthread -losso -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
PACKAGE = mrawviewer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
USE_NLS = no
VERSION = 0.1
ac_ct_CC = gcc
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${datarootdir}
datarootdir = ${prefix}/share
dbusservicedir = /usr/share/dbus-1/services
desktopentrydir = /usr/share/applications/hildon
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
hildoncpdesktopentrydir = /usr/
hildoncplibdir = /usr/lib/hildon-control-panel
hildoniconthemedir = /home/cthulhu/.icons/hicolor
hildonpixmapdir = /usr/share/pixmaps
hildonstatusbarplugindir = 
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/cthulhu/workspace/mrawviewer/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = /usr/share/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = \
	main.c

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
mrawviewer (1.0-beta1) fremantle; urgency=low

  * Initial release.

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 24 Apr 2008 17:22:00 -0600

## mrawviewer 1.0-beta2

=== src/Makefile ===
--- 
+++ 
@@ -53,10 +53,10 @@
 AUTOHEADER = ${SHELL} /home/cthulhu/workspace/mrawviewer/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/cthulhu/workspace/mrawviewer/missing --run automake-1.8
 AWK = gawk
-CC = gcc
+CC = i486-linux-gnu-gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -O2 -g -Wall -ansi -pedantic -Wmissing-prototypes -Wmissing-declarations -I/usr/include/libraw
-CPP = gcc -E
+CFLAGS = -Wall -g -O2 -Wall -ansi -pedantic -Wmissing-prototypes -Wmissing-declarations -I/usr/include/libraw
+CPP = i486-linux-gnu-gcc -E
 CPPFLAGS = 
 CYGPATH_W = echo
 DEFS = -DHAVE_CONFIG_H
@@ -99,15 +99,15 @@
 SHELL = /bin/sh
 STRIP = 
 USE_NLS = no
-VERSION = 0.1
-ac_ct_CC = gcc
+VERSION = 1.0
+ac_ct_CC = 
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
 am__include = include
 am__leading_dot = .
 am__quote = 
 bindir = ${exec_prefix}/bin
-build_alias = 
+build_alias = i486-linux-gnu
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 dbusservicedir = /usr/share/dbus-1/services
@@ -120,16 +120,16 @@
 hildoniconthemedir = /home/cthulhu/.icons/hicolor
 hildonpixmapdir = /usr/share/pixmaps
 hildonstatusbarplugindir = 
-host_alias = 
+host_alias = i486-linux-gnu
 htmldir = ${docdir}
 includedir = ${prefix}/include
-infodir = ${datarootdir}/info
+infodir = ${prefix}/share/info
 install_sh = /home/cthulhu/workspace/mrawviewer/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = /usr/share/locale
 localstatedir = ${prefix}/var
-mandir = ${datarootdir}/man
+mandir = ${prefix}/share/man
 mkdir_p = mkdir -p -- .
 oldincludedir = /usr/include
 pdfdir = ${docdir}

=== debian/changelog ===
mrawviewer (1.0-beta2) fremantle; urgency=low

  * Bumped configure variable with app version to 1.0
  * Added app icons
  * Re-written .desktop file

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 26 Jun 2009 17:22:00 +0100

## mrawviewer 1.0-beta3

=== debian/changelog ===
mrawviewer (1.0-beta3) fremantle; urgency=low

  * Fixed a bug in the .desktop file which prevented the app icon to be shown

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 26 Jun 2009 17:25:00 +0100
 

## mrawviewer 1.0-beta4

=== src/Makefile ===
--- 
+++ 
@@ -53,10 +53,10 @@
 AUTOHEADER = ${SHELL} /home/cthulhu/workspace/mrawviewer/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/cthulhu/workspace/mrawviewer/missing --run automake-1.8
 AWK = gawk
-CC = i486-linux-gnu-gcc
+CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -Wall -g -O2 -Wall -ansi -pedantic -Wmissing-prototypes -Wmissing-declarations -I/usr/include/libraw
-CPP = i486-linux-gnu-gcc -E
+CFLAGS = -O2 -g -Wall -ansi -pedantic -Wmissing-prototypes -Wmissing-declarations -I/usr/include/libraw
+CPP = gcc -E
 CPPFLAGS = 
 CYGPATH_W = echo
 DEFS = -DHAVE_CONFIG_H
@@ -100,14 +100,14 @@
 STRIP = 
 USE_NLS = no
 VERSION = 1.0
-ac_ct_CC = 
+ac_ct_CC = gcc
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
 am__include = include
 am__leading_dot = .
 am__quote = 
 bindir = ${exec_prefix}/bin
-build_alias = i486-linux-gnu
+build_alias = 
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 dbusservicedir = /usr/share/dbus-1/services
@@ -120,16 +120,16 @@
 hildoniconthemedir = /home/cthulhu/.icons/hicolor
 hildonpixmapdir = /usr/share/pixmaps
 hildonstatusbarplugindir = 
-host_alias = i486-linux-gnu
+host_alias = 
 htmldir = ${docdir}
 includedir = ${prefix}/include
-infodir = ${prefix}/share/info
+infodir = ${datarootdir}/info
 install_sh = /home/cthulhu/workspace/mrawviewer/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = /usr/share/locale
 localstatedir = ${prefix}/var
-mandir = ${prefix}/share/man
+mandir = ${datarootdir}/man
 mkdir_p = mkdir -p -- .
 oldincludedir = /usr/include
 pdfdir = ${docdir}

=== debian/changelog ===
mrawviewer (1.0-beta4) fremantle; urgency=low

  * Added support to toggle fullscreen / unfullscreen mode
  * Modified main window size change detection
  * Added the possibility to load previous / next image in current directory by pressing hardware left / right key

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 30 Jun 2009 16:51:00 +0100

## mrawviewer 1.0-beta5

=== src/Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -O2 -g -Wall -ansi -pedantic -Wmissing-prototypes -Wmissing-declarations -I/usr/include/libraw
+CFLAGS = -g -O2 -Wall -ansi -pedantic -Wmissing-prototypes -Wmissing-declarations -I/usr/include/libraw
 CPP = gcc -E
 CPPFLAGS = 
 CYGPATH_W = echo
@@ -79,7 +79,7 @@
 INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
 LDFLAGS = 
 LIBOBJS = 
-LIBS =  -lstdc++ -lraw-lite -lraw-lite_r
+LIBS =  -lm -lstdc++ -lraw-lite -lraw-lite_r
 LTLIBOBJS = 
 MAKEINFO = ${SHELL} /home/cthulhu/workspace/mrawviewer/missing --run makeinfo
 OBJEXT = o

=== debian/changelog ===
mrawviewer (1.0-beta5) fremantle; urgency=low

  * Ficed main window size change detection's bug

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 03 Jul 2009 13:28:00 +0100
 

## mrawviewer 1.0-maemo1

=== src/Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O2 -Wall -ansi -pedantic -Wmissing-prototypes -Wmissing-declarations -I/usr/include/libraw
+CFLAGS = -g -O2 -Wall -ansi -pedantic -Wmissing-prototypes -Wmissing-declarations -std=gnu99 -I/usr/include/libraw
 CPP = gcc -E
 CPPFLAGS = 
 CYGPATH_W = echo

=== debian/changelog ===
mrawviewer (1.0-maemo1) fremantle; urgency=low

  * Added previous / next arrows over current image after detecting a long screen press
  * Modified shutter speed format from 0.xxxxx to 1/yyyy
  * Fixed some compilation warning

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 08 Jul 2009 13:30:00 +0100

## mrawviewer 1.0-maemo2

=== debian/changelog ===
mrawviewer (1.0-maemo2) fremantle; urgency=low

  * Fixed app menu not showing under Fremantle Beta 2 SDK

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 27 Jul 2009 17:31:00 +0100
 

=== debian/control ===
Source: mrawviewer
Section: user/other
Priority: optional
Maintainer: Luca Donaggio <donaggio@gmail.com>
Build-Depends: debhelper (>= 5), intltool, autotools-dev, libgtk2.0-dev (>= 2.10.0), libhildon1-dev, libhildonfm2-dev,
               libosso-dev, osso-af-settings, libraw-lite-dev
Standards-Version: 3.7.2

Package: mrawviewer
Architecture: any
Depends: libraw-lite (>= 0.7.2), ${shlibs:Depends}, ${misc:Depends}
Description: A simple RAW image files viewer.
 MRAWviewer is an image viewer for RAW image file formats as those produced by modern DSLRs.
 All the DSLRs from the most important camera manufacturers are supported.
 It is based on LibRaw-Lite which in turn is (C) 2008-2009 LibRaw LLC <info@libraw.org>
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9kGGQ0LOwGTqU4AAAUsSURBVEjH7ZbLjxxHHcc/9ZiensfuzOz6EXuW
 BES8CiAhoxBrQbIigZQgK5FMRBIJKSeEOHLir+DECSHgghAnJC5g5DheGZSs
 4w3GCbbIetfOZOz12vsadmanp6erqqs4zM56jJA4IyipVA911+f3/davqxr+
 X/6rytuLFw77ly5P9A/mf/WbX/LndxflX/56Td689aG6vfaxvvHRdXX5ytvy
 9xd/B8DFifcmixh3Prj+Pi88v/BvHwohIITg+o3lr5RL5R8orU9oqY4qrY+n
 adrd2t66Ohj0f/qtl1659UTgly/w0jfPjUCTg6vX3n1xdvbIy4OkT6ez8wep
 dLrf39959dy37137YOlLzzz9ud/WpmvPTS7mnGN19TaPHj261U32vvPdN95a
 /eGPvh//5Mc/Tw+B71wYKXrre2+I11978/PNk3O/mJk58mI6GJAMkuVqtTqd
 maxbKVUvzjRmztdqjS8LMTYhjCIVktXVFdJ0GMqVcrtWq3Uyk+mVlZW7Lrc/
 O/fyKxeFECPQzb9/+I2CKvwx+FAAIULwSClDHMfEcYzWOkxPNwQghCCMLQ8h
 oLVmbW0tHD16RIwtzvOcpaUldjudB1O16quvv/bmDQ1QLMRVJUWklEJKgZQK
 IaSQchS9lFJ473HOkee58N6jlCSOYw4UisdKGc/hnCtlaRYB6NFCIkglkVKi
 lEQIhZSSKCrQvrdOq9Vit/MP0jTFGEO316VaqTI/P8/XF75GFEUUCgW894QA
 IVi01kgpwxiqAXZ3dkmHKSYzQMCHgBCSO3c/4dKld7h75w7ee0qlEvV6neZc
 k25vj/evXeW9pfeYa85xZLYxVsyJp06yvLxMIYo4efLEY9BHN2+xsvIxDx9u
 HMoepBmtuy2Sfh9jDAC5y9FK8+D+A56df5btnS3a7Rb319cxw5QoKuCc46vP
 v8CVP12hMTMjvjD44sh+gPvrD2Svt4+1Fmst6XDIw42H7Pd67O3tYYyhVqvh
 nGM4HKK1Zq+zR6PewHuPkuB8wHuP954sy/De0+v1xe21T8ShImMM3ueHH6cx
 liRJ6Pf7RFHE+fPnqVQqZFnG4uLiwV4qBAIpJVmWUa1USJJ9tFJYa0bp6b3I
 nXtsnbEW7/1h1qTpEO9yrLVUKhVarRbOOZRSWGvZ3Nzk2LFj4w0nz3MInmxo
 KFRLZMYC4EMILp8AWWOeAAUfUHKUhe12m8FgQBRFOOfY3t7m1KlTFItFCOCs
 wxqLlArnHCEErDUHIE/u8segzBjyCZDUimJcZGpqit3dXTY3N584+2ZnZ9Fa
 45zFZAZjDUqpw/S2ZmSd9wF3AJIAztowqagUFykUY5rNJo1G4wlIvV7n9OnT
 CCEYDBKSQYLPc9JhRrEYjZLhIEtD8Dg/YV0/6RelCOMDTBS0JooKlIoxZ8+e
 pd1u0+12qdfrLCwsoLVmMEjY7XRw1qLjMs5ayuUYKSX2AOS9V8N0UByDpu+1
 708/89nPUC6XhBASIQTFYpHO7h6VcpkzZ86EKIqE1prhcIhzLmxtbYpet4vS
 EXnwxMUIpRRKKYw1FKII47x5tPGoCkwJoFQuV+aeajbP6kJhPnhfN9ZWlZS1
 AJXjx46efrrZbFSrVaIowjpLq9WinyQuzcxWQSsXx7EqlytRFEVKSIRAqPX1
 jcv32p/+urOz8zdgQ0xcgBFQAaoTbQ0oTdVnnpuuTR/PhlmeJP2hz12Spek2
 0APSgzo4aM3kWEo58N578R9u93EAhX+pADlggeyg2v+tH59/Av4Jq1oMQ9Xy
 AAAAAElFTkSuQmCC

## mrawviewer 1.0-maemo3

=== debian/changelog ===
mrawviewer (1.0-maemo3) fremantle; urgency=low

  * Changed package section to user/graphics

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 05 Aug 2009 14:05:00 +0100
 

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: mrawviewer
-Section: user/other
+Section: user/graphics
 Priority: optional
 Maintainer: Luca Donaggio <donaggio@gmail.com>
 Build-Depends: debhelper (>= 5), intltool, autotools-dev, libgtk2.0-dev (>= 2.10.0), libhildon1-dev, libhildonfm2-dev,

## mrawviewer 1.0-maemo4

=== debian/changelog ===
mrawviewer (1.0-maemo4) fremantle; urgency=low
  
  * Added supported camera list to the About dialog
  * Changed the About dialog from standard GtkAboutDialog to a custom one
  * Exported to the framework the ability to support device orientation
  * Preliminary Diablo support on autoconf files

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 09 Sep 2009 11:42:00 +0100
 

## mrawviewer 1.0-maemo5

=== src/Makefile ===
--- 
+++ 
@@ -62,17 +62,17 @@
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
 DEPS_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
-DEPS_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
+DEPS_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
 EGREP = /scratchbox/tools/bin/grep -E
 EXEEXT = 
 GREP = /scratchbox/tools/bin/grep
-HILDONFM_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
-HILDONFM_LIBS = -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
+HILDONFM_CFLAGS = -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
+HILDONFM_LIBS = -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
 HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
-HILDON_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
+HILDON_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
@@ -86,7 +86,7 @@
 OSSOSETTINGS_CFLAGS =  
 OSSOSETTINGS_LIBS =  
 OSSO_CFLAGS = -pthread -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2  
-OSSO_LIBS = -pthread -losso -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
+OSSO_LIBS = -pthread -losso -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
 PACKAGE = mrawviewer
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME =

=== debian/changelog ===
mrawviewer (1.0-maemo5) fremantle; urgency=low

  * Added an horizontal separator to the About dialog just after the copyright
  * Removed "Quit" button in AppMenu as it duplicates the functionality of the [X] button on the MainWindow
  * Automatically display the "Open Image" dialog when starting

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 28 Sep 2009 11:37:00 +0100
 

## mrawviewer 1.0-maemo6

=== debian/changelog ===
mrawviewer (1.0-maemo6) fremantle; urgency=low

  * Added Ctrl+Space keyboard combo to toggle fullscreen mode on or off
  * Added package optification to debian/rules
  * Changed filters in app menu from radio to toggle buttons
  * Added fullscreen / unfullscreen filters to the app menu
  * Added support for autogenerated app screenshot

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 28 Sep 2009 11:37:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: user/graphics
 Priority: optional
 Maintainer: Luca Donaggio <donaggio@gmail.com>
+Homepage: http://mrawviewer.garage.maemo.org
 Build-Depends: debhelper (>= 5), intltool, autotools-dev, libgtk2.0-dev (>= 2.10.0), libhildon1-dev, libhildonfm2-dev,
-               libosso-dev, osso-af-settings, libraw-lite-dev
+               libosso-dev, osso-af-settings, libraw-lite-dev, maemo-optify
 Standards-Version: 3.7.2
 
 Package: mrawviewer

## mrawviewer 1.0-maemo7

=== debian/changelog ===
mrawviewer (1.0-maemo7) fremantle; urgency=low

  * Added bug tracker and homepage url field to debian/control

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 28 Sep 2009 11:37:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: mrawviewer
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1000
+Homepage: http://mrawviewer.garage.maemo.org
+XB-Maemo-Display-Name: DSLRs RAW image files viewer for Maemo
 Section: user/graphics
 Priority: optional
 Maintainer: Luca Donaggio <donaggio@gmail.com>
-Homepage: http://mrawviewer.garage.maemo.org
 Build-Depends: debhelper (>= 5), intltool, autotools-dev, libgtk2.0-dev (>= 2.10.0), libhildon1-dev, libhildonfm2-dev,
                libosso-dev, osso-af-settings, libraw-lite-dev, maemo-optify
 Standards-Version: 3.7.2

## mrawviewer 1.1-1

=== src/Makefile ===
--- 
+++ 
@@ -99,7 +99,7 @@
 SHELL = /bin/sh
 STRIP = 
 USE_NLS = no
-VERSION = 1.0
+VERSION = 1.1
 ac_ct_CC = gcc
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
@@ -141,7 +141,10 @@
 sysconfdir = ${prefix}/etc
 target_alias = 
 EXTRA_DIST = \
-	main.c
+	main.c \
+	callbacks.c \
+	interface.c \
+	he-fullscreen-button.c
 
 all: all-am

=== debian/changelog ===
mrawviewer (1.1-1) fremantle; urgency=low

  * Dropped "maemo" from package epoch's string since it's a Maemo-only application 
  * Added HeFullscreenButton widget from Hildon-Extras project (see http://garage.maemo.org/projects/hildon-extras)
  * Added proper device orientation support
  * Using GConf to save and restore last configuration
  * Automatically load last image opened upon startup
  * Increased Application Manager's icon dimension from 26x26 to 48x48 in debian/control
  * Moved image details to a separate overlayed window
  * Added zoom in / out function

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 27 Nov 2009 15:20:00 +0100

=== debian/control ===
Source: mrawviewer
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1000
XB-Maemo-Display-Name: RAW Viewer
Section: user/graphics
Priority: optional
Maintainer: Luca Donaggio <donaggio@gmail.com>
Build-Depends: debhelper (>= 5), intltool, autotools-dev, libgtk2.0-dev (>= 2.10.0), libhildon1-dev, libhildonfm2-dev,
               libosso-dev, osso-af-settings, libraw-lite-dev, maemo-optify, mce-dev
Standards-Version: 3.7.2

Package: mrawviewer
Architecture: any
Depends: libraw-lite (>= 0.7.2), ${shlibs:Depends}, ${misc:Depends}
Description: A simple RAW image files viewer.
 MRAWviewer is an image viewer for RAW image file formats as those produced by modern DSLRs.
 All the DSLRs from the most important camera manufacturers are supported.
 It is based on LibRaw-Lite which in turn is (C) 2008-2009 LibRaw LLC <info@libraw.org>
 Homepage: http://mrawviewer.garage.maemo.org
XSBC-Maemo-Upgrade-Description: Since first beta:
  * Moved image details to a separate overlayed window
  * Added zoom in / out function
  * Added Ctrl+Space keyboard combo to toggle fullscreen mode on or off
  * Automatically display the "Open Image" dialog when starting
  * Added supported camera list to the About dialog
  * Added previous / next arrows over current image after detecting a long screen press
  * Added support to toggle fullscreen / unfullscreen mode
  * Added the possibility to load previous / next image in current directory by pressing hardware left / right key
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9kLGwo5GW5VpmQAAAtySURBVGje7ZhbjxzHdcd/VdWXue4uuUPukrvm
 kiuSFk2CogWKforphBItk4rkXO34LUA+ghEk+QJBgAQIECAPeUhi+CFIECe2
 AtESKZpEFMqGBctWRFGQtDJvu9z7zr1n+lJVeZie1sxeKMlwnIfwAIXpqa6u
 Ouf8/+ecqoJH8kgeySN5JI/kf0GuXbv2K1nH+WVPePkH3+fqtVeIkvbe125c
 84WQu8FOWtgHTAL7gSljzJvGmCtJEt0z1la/fO5iePnqJc6fu/Cp1hM7vXj5
 6ks8e+7iUN+V6y/yzJee33GyKz/4Ps/8xle4fPXS8wemD37L970xISSO46CU
 QikHJRW5fJ6NjXVWV1doB+12ELT/Vfj6j85/8TeTT+uwbQ145dVLfPnpnif+
 6Tvf3pVzPO+3Xvja8rYev3KJ889c4PKrL3H+6Yv82/f++eLnnzj93Ym9k44x
 GsD217HWZssqJe3t23dErVYjCAIM8Z+rPH9mQji/yXG/EAKvXnv568Vi6dul
 QsnROqEdtOl0Oze01t9wHbepXHU6juIP2u32nRee+x0ALl1+8YuPH/3c5QPT
 M14cx+JhCyulePBggdXVVTY2amiToFx+94dv3Pj3I7NHlVJKKqWE67rxV5/7
 Pb2dc4cMuHL1Es8M8O/6a1dfeuLEqQtKKRu0W9TqNVGtrrNW2/iTsdFdJ3eP
 7f7G6tpKa2199blu2L0/OjJ2+MTxk/9wYHpmvzEWIcTDPSegXq8zPz/PxsaG
 bTSbIp/39fRnpr8F5KSUvjXWW15dXul02jf8nHfj13/t/Ps7IvDy1UvEYTfv
 Ot5flEbKs0rILxSLpUpfESEEApDKqTuO47uOm7PWWqWcunKUznk5f3RsrCSF
 TCnTo0vGGvps+kjCsMutW7eYmZkhSRKrlBKO4wIWa0Epyf378ywuLsWtdrOZ
 L/qv5PLeH8ZRHPZplmWhZ89d4Pprr/7HZ488fk5JhTEGY4w1xghjDNb2JtU6
 GRVCks/5qR8ZA0u5XMZojbb645yfOcRagbUW13VRSoneGmZojDGabjdw67X6
 rlrN/sHEvj3/dfHZ5/922zRayOXP6USzuPIAIUAIKZRSmTdc1wMsUiq0Nj1U
 hOAjhUVGj19EBi0fDPiesVa02y203n14xzoghMR1XXbtGksnE0gpskmEkKlh
 YsuCvxoRAOZjC5m1HwXhTs+DXutBbYjiGJ1ojDFoozHa0KefUhLf9ykUCvRQ
 tf93ldhakFLgeR737s/z5s9+RrVao1avEwQBjUaDRqNONwyJwghjNOXyCBN7
 J3hsdpYvnT3L50+dIo7jh9LpkyDsbEZICoGUMv1YIiUplWRKpV4OB/jLv/4b
 3rl5kyQOqVVrJEmC5/lUKuPs2z9JGIZs1DZQ0gebsLq6RKNR5cYPX+f4507w
 p3/8zYG16CcOrLU9RKMYY0w2ZjuDhnqu/+dV6zkerXYLkb2yA8N6BmxUa/zd
 3/8jYbfN2tIK3W6YbRf6iymlOHz4MAdnD7K49IAoijIalstloigG4fDUk6co
 FAoYo1MDetQyVjO1b5r19XVWV1exFoxJOHnqxF/99ld//5vbIvDGGz/Bcz3e
 uXUz/UBjTC+19T0TdLosLa/RqteoVqt4jofrupnXlFJ4nofjONy9e5eN9Q1O
 njpJvVmj2WwipaTVauF5HqD5zne/x57xsS2eNcbwxBOnqG5UefOnP8Foy8zM
 DPumJ3em0PLyCiPlEuvr69vCpY1hcWmdTqtBo97Acz2iKKLb7CKEwHGcrI2M
 jFAoFNBG8/Z/v825p89x8523iZMYIQRRFJHP5Tg4c4B79xfYNzGOMSZbV2ud
 0cZzPUITEUYRN995b0hnOfhn4cHSEN82t+XVKr4rqK5XEULQarVoNpto3YM/
 jmPiuMfbTqcDQC6XQ0rJ6zde58yZL6QFsZfNgk6HcrlIoVig0w2HnCaEyObN
 koex3Lo1bMDQn1hrtNHbRnur3aGYz/Hhex/guA7tdpsoirDWcvjwYQ4dOkSp
 VCIIAu7evcu9e/coFouUy2Xy+TxRFDH3wRwHPnOA+/P3MyXX1tY4ODPN3NzP
 yfneMI20Rg8YYKwhTpKdKWStxWizbV3QxlDb2ADRg7ffzpw5w4kTJzLvlctl
 9u7dy9jYGG+99Rbj4+Pk83mEEKwsr/DZY0eRUmYoWGuJwhDfz6GNQQ5kG60N
 ZsCh/QDf2YC0AG0NqN4+qNFo4DgOnU4Hay1JkjA1NcXa2tqWbyYmJmg0GtTr
 dSYnJ9FakyQJ1oDnenTDbja22+3ieR5JHOEPoKDNZgqZLQVwyADzEAQ6nQ5S
 CExK03a7jeu6rK+vb1uQHMfB933m5uY4fvw4hUKBer2eZeVBRXSiUUrRrLXJ
 5fxM6X5dGKTQwxGwwx8MShInSKkQordwP2Bv376N7/tbM5bW1Go1lFIEQUCl
 UqHZbCL6SGs9vIkTiiiJiaIoS8t9mg6m1ocjYOzQB5vzcq8ak/1qrZmbm6NS
 qWTZq59l+shIKUmSJIsDY3sQ6GTAAARCCpSUdLtdXNfNgnhzFvoYBOyOWUiq
 3uEcwPf9LNDCMGRhYQHHcbK+QUoJISiVSlmOV8ohiiK0ToZOZ4LUAcaiE41U
 Er0NhTYjIIeD2G5LISEEjnKQsmdELpejXC4PUyxJMloNSqVSYXx8nGazme5C
 DUmSoLVBa0OSaKRURFHUQ1FKEq3Tyj6MgDEGy8MMsAazDYWEFDiug0qrbD6f
 Z3p6+hPtXJ988klc1824neiEMAyHUnE+V6DdbqOUSlEwGUWHDbCbT6XDBpg0
 32+hjxC4rtMzQilGRkYolUocPXr0oco/9dRTTE1NoZRKd6oeURTSDQKMTtBJ
 gu96dKMQazRKSqTsxUN/bzWYFe3HUmgHBABKxTyJMThpLExOTjI1NcXp06ez
 oB6Us2fPcuzYMR577DGWl5eJoohDhw7x4YcfEieaJDFYYxkZGWF+YYliIY+Q
 Ymh7vbmQWbNzGnWAxJrtEbDW4joO5VKJVquN5+fQWjMzM0MQBBw5coSlpSVa
 rRblcpnZ2Vl832d2dpa5uTmCIGBycpJms8Hi4iKu6yKEYHRsjLvzi4yW8z3P
 i57yUkqklBizdSuRaJNP9dWAdQAfKAMySRKU6p17Nwez1prdY2W6YUS7E5DP
 5wmCgNHRUTzPY//+/dmZoHeEVLz77rt0Oh0qlQqe63D9+jWEFAgsxWKJWjPA
 9x1c10EImSk+mKb7uV8IYQVSaB1LevesAVB3AA/IAX6rHVxaWl67ML5rF0LJ
 3r5EgkQiZA/Wyp49zP38Ho1Gnb17J2ytVhO+79NqtbLF+9vlJEmYmJggDLv8
 +Mc/wlpLMV9EKYdqs025kMN1HaRIuT9wYdAvZIAtj4yIoBOKZiuoLc4vXAJG
 0pNWKAYQGBFClI8cO/6CVOqolKIMomit8ROt3SRJXEe5Bd93857rerHWfjnn
 l/bv3+856UlssDmOw549e7hz9zbvv/ceuXweRzm6HUZJ0I2YGB/FdT0c1xWe
 6+C6nnAcR7iug1QKgUUIIdbXq8nC0kqt2Wy+eOeD9/8lDMMq0ARqQL2/AXdT
 FAqpQXmgmP7m077++3z67O2q7Hm8UqmcmJycmCmXSrs833eVUpG1hJ1OJ1p4
 MB+GnW4opOpGcVRvt4LFOOyugNVJr0gZ1/Wk67rCcRwhpbQIYbQx1mhjPc8T
 1prFhXt3fmSNrQMh0EoNaAFbLmBFGiB9g/rNT/vcASN8wBNC5BzPKzpK5aRS
 ylorkiSR6c7RYq0xxibG6BCIgDhVJE5bMvAcpvc+eqA/BLoDLU7fP/x2ehvD
 VJp2ZWpIfjB+0j4vdYAzMNakfO0r1Teiu0m5OB03ON5uuVD9pNfrn0LUQBtU
 XKbz2wGFTGqEHvD0L+eG65E8kv+n8j/ctkJa55TG8AAAAABJRU5ErkJggg

## mrawviewer 1.1-2

=== debian/changelog ===
mrawviewer (1.1-2) fremantle; urgency=low

  * Critical bug which caused a segfault at startup fixed
  * Enabled accelerometers at startup
  * Added image name and zoom level to application's window title bar
  * Refactored to use a more logical source files' structure
  * Added progress indicator to application's window title bar when loading / scaling
  
 -- Luca Donaggio <donaggio@gmail.com>  Fri, 11 Dec 2009 17:01:00 +0100

## mrawviewer 1.1-3

=== src/Makefile ===
--- 
+++ 
@@ -141,10 +141,17 @@
 sysconfdir = ${prefix}/etc
 target_alias = 
 EXTRA_DIST = \
+	appdata.h \
+	appdata.c \
 	main.c \
+	callbacks.h \
 	callbacks.c \
+	interface.h \
 	interface.c \
-	he-fullscreen-button.c
+	he-fullscreen-button.h \
+	he-fullscreen-button.c \
+	helpers.h \
+	helpers.c
 
 all: all-am

=== debian/changelog ===
mrawviewer (1.1-3) fremantle; urgency=low

  * Added lower case versions of supported file extensions to the open image dialog filter
  
 -- Luca Donaggio <donaggio@gmail.com>  Fri, 11 Jan 2010 11:25:00 +0100

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,13 @@
  It is based on LibRaw-Lite which in turn is (C) 2008-2009 LibRaw LLC <info@libraw.org>
  Homepage: http://mrawviewer.garage.maemo.org
 XSBC-Maemo-Upgrade-Description: Since first beta:
+  * Added image name and zoom level to application's window title bar
+  * Added progress indicator to application's window title bar when loading / scaling
+  * Added proper device orientation support
+  * Using GConf to save and restore last configuration
+  * Automatically load last image opened upon startup
   * Moved image details to a separate overlayed window
   * Added zoom in / out function
-  * Added Ctrl+Space keyboard combo to toggle fullscreen mode on or off
   * Automatically display the "Open Image" dialog when starting
   * Added supported camera list to the About dialog
   * Added previous / next arrows over current image after detecting a long screen press

## mrawviewer 1.1-4

=== debian/changelog ===
mrawviewer (1.1-4) fremantle; urgency=low

  * Changed to newer optification mechanism
  * Updated XSBC-Maemo-Upgrade-Description field in debian/control
  * Updated list of supported file's extensions
  
 -- Luca Donaggio <donaggio@gmail.com>  Fri, 08 Jan 2010 14:50:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Maintainer: Luca Donaggio <donaggio@gmail.com>
 Build-Depends: debhelper (>= 5), intltool, autotools-dev, libgtk2.0-dev (>= 2.10.0), libhildon1-dev, libhildonfm2-dev,
-               libosso-dev, osso-af-settings, libraw-lite-dev, maemo-optify, mce-dev
+               libosso-dev, osso-af-settings, libraw-lite-dev, mce-dev
 Standards-Version: 3.7.2
 
 Package: mrawviewer
@@ -16,7 +16,9 @@
  All the DSLRs from the most important camera manufacturers are supported.
  It is based on LibRaw-Lite which in turn is (C) 2008-2009 LibRaw LLC <info@libraw.org>
  Homepage: http://mrawviewer.garage.maemo.org
-XSBC-Maemo-Upgrade-Description: Since first beta:
+XSBC-Maemo-Upgrade-Description: A simple RAW image files viewer. 
+ Changes since first public release (1.0-maemo7):
+  * Updated list of supported file's extensions
   * Added image name and zoom level to application's window title bar
   * Added progress indicator to application's window title bar when loading / scaling
   * Added proper device orientation support
@@ -24,11 +26,6 @@
   * Automatically load last image opened upon startup
   * Moved image details to a separate overlayed window
   * Added zoom in / out function
-  * Automatically display the "Open Image" dialog when starting
-  * Added supported camera list to the About dialog
-  * Added previous / next arrows over current image after detecting a long screen press
-  * Added support to toggle fullscreen / unfullscreen mode
-  * Added the possibility to load previous / next image in current directory by pressing hardware left / right key
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## mrawviewer 1.1-5

=== debian/changelog ===
mrawviewer (1.1-5) fremantle; urgency=low

  * Fixed a dependancy issue with an old and non-optified version of libraw-lite
    
 -- Luca Donaggio <donaggio@gmail.com>  Fri, 22 Feb 2010 13:18:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: mrawviewer
 Architecture: any
-Depends: libraw-lite (>= 0.7.2), ${shlibs:Depends}, ${misc:Depends}
+Depends: libraw-lite (>= 0.7.2-maemo3), ${shlibs:Depends}, ${misc:Depends}
 Description: A simple RAW image files viewer.
  MRAWviewer is an image viewer for RAW image file formats as those produced by modern DSLRs.
  All the DSLRs from the most important camera manufacturers are supported.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g
PACKAGENAME = mrawviewer

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	mv debian/rules debian/rules.save
	-$(MAKE) distclean
	mv debian/rules.save debian/rules

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

    # Add here commands to install the package into debian/$(PACKAGENAME)
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGENAME) install
    

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mrawviewer 1.2-1

=== src/Makefile ===
--- 
+++ 
@@ -69,6 +69,8 @@
 EGREP = /scratchbox/tools/bin/grep -E
 EXEEXT = 
 GREP = /scratchbox/tools/bin/grep
+HE_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-extras-1 -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
+HE_LIBS = -lhildon-extras-1 -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
 HILDONFM_CFLAGS = -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
 HILDONFM_LIBS = -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
 HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
@@ -79,7 +81,7 @@
 INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
 LDFLAGS = 
 LIBOBJS = 
-LIBS =  -lm -lstdc++ -lraw-lite -lraw-lite_r
+LIBS =  -lm -lstdc++ -lraw -lraw_r
 LTLIBOBJS = 
 MAKEINFO = ${SHELL} /home/cthulhu/workspace/mrawviewer/missing --run makeinfo
 OBJEXT = o
@@ -99,7 +101,7 @@
 SHELL = /bin/sh
 STRIP = 
 USE_NLS = no
-VERSION = 1.1
+VERSION = 1.2
 ac_ct_CC = gcc
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
@@ -146,12 +148,12 @@
 	main.c \
 	callbacks.h \
 	callbacks.c \
+	helpers.h \
+	helpers.c \
+	arrow-button.h \
+	arrow-button.c \
 	interface.h \
-	interface.c \
-	he-fullscreen-button.h \
-	he-fullscreen-button.c \
-	helpers.h \
-	helpers.c
+	interface.c
 
 all: all-am

=== debian/changelog ===
mrawviewer (1.2-1) fremantle; urgency=low

  * Added banners to inform user about what's going on when in fullscreen
  * Re-worked image details code
  * Previous / next image arrow buttons are real overlaid widgets now
  * Switched from pasted code from the Hildon-Extras project to properly depend on libhildon-extras1
  * Switched from libraw-lite to libraw
  * Image generated on-the-fly from RAW file when unable to decode embedded thumbnail
  * Added ability to open supported RAW files with mrawviewer directly from the file manager
    
 -- Luca Donaggio <donaggio@gmail.com>  Mar, 03 Ago 2010 15:56:00 +0200

mrawviewer (1.1-6) fremantle; urgency=low

  * Fixed bug #5419
  * New image details management
    
 -- Luca Donaggio <donaggio@gmail.com>  Fri, 22 Feb 2010 13:18:00 +0100

## mrawviewer 1.2-2

=== src/Makefile ===
--- 
+++ 
@@ -91,10 +91,10 @@
 OSSO_LIBS = -pthread -losso -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
 PACKAGE = mrawviewer
 PACKAGE_BUGREPORT = 
-PACKAGE_NAME = 
-PACKAGE_STRING = 
-PACKAGE_TARNAME = 
-PACKAGE_VERSION = 
+PACKAGE_NAME = mrawviewer
+PACKAGE_STRING = mrawviewer 1.2
+PACKAGE_TARNAME = mrawviewer
+PACKAGE_VERSION = 1.2
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
 SET_MAKE = 
@@ -114,7 +114,7 @@
 datarootdir = ${prefix}/share
 dbusservicedir = /usr/share/dbus-1/services
 desktopentrydir = /usr/share/applications/hildon
-docdir = ${datarootdir}/doc/${PACKAGE}
+docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
 hildoncpdesktopentrydir = /usr/

=== debian/changelog ===
mrawviewer (1.2-2) fremantle; urgency=low

  * Small Autotools changes
  * Removed previous / next image menu options as they basically duplicate the functionality of previous / next image arrow buttons
  * Corrected a bug which caused prev. / next image arrow buttons to appear on top of the Open image dialog 
    
 -- Luca Donaggio <donaggio@gmail.com>  Thu, 03 Sep 2010 11:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,25 @@
 Priority: optional
 Maintainer: Luca Donaggio <donaggio@gmail.com>
 Build-Depends: debhelper (>= 5), intltool, autotools-dev, libgtk2.0-dev (>= 2.10.0), libhildon1-dev, libhildonfm2-dev,
-               libosso-dev, osso-af-settings, libraw-lite-dev, mce-dev
+               libosso-dev, osso-af-settings, libraw-dev, mce-dev, libhildon-extras1-dev (>= 0.9.3)
 Standards-Version: 3.7.2
 
 Package: mrawviewer
 Architecture: any
-Depends: libraw-lite (>= 0.7.2-maemo3), ${shlibs:Depends}, ${misc:Depends}
+Depends: libraw, libhildon-extras1 (>= 0.9.3), ${shlibs:Depends}, ${misc:Depends}
 Description: A simple RAW image files viewer.
  MRAWviewer is an image viewer for RAW image file formats as those produced by modern DSLRs.
  All the DSLRs from the most important camera manufacturers are supported.
- It is based on LibRaw-Lite which in turn is (C) 2008-2009 LibRaw LLC <info@libraw.org>
+ It is based on LibRaw which in turn is (C) 2008-2010 LibRaw LLC <info@libraw.org>
  Homepage: http://mrawviewer.garage.maemo.org
 XSBC-Maemo-Upgrade-Description: A simple RAW image files viewer. 
- Changes since first public release (1.0-maemo7):
-  * Updated list of supported file's extensions
-  * Added image name and zoom level to application's window title bar
-  * Added progress indicator to application's window title bar when loading / scaling
-  * Added proper device orientation support
-  * Using GConf to save and restore last configuration
-  * Automatically load last image opened upon startup
-  * Moved image details to a separate overlayed window
-  * Added zoom in / out function
+ Main changes since previous stable release (1.1-5):
+  * Added banners to inform user about what's going on when in fullscreen
+  * Previous / next image arrow buttons are real overlaid widgets now
+  * Image generated on-the-fly from RAW file when unable to decode embedded thumbnail
+  * Added ability to open supported RAW files with mrawviewer directly from the file manager
+  * Fixed bug #5419
+  * New image details management
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
